Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.storage.btree
Class DBException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.exist.storage.btree.DBException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  BTreeException

public class DBException
extends java.lang.Exception

A DBException is thrown by the database if an exception occurs in the managing (creating, dropping) database objects such as Collections, Indexes, and XMLObjects.

See Also:
  Serialized Form

Field Summary
`int` | `faultCode`

Constructor Summary
`DBException()`
`DBException(int faultCode)`
`DBException(int faultCode, java.lang.String message)`
`DBException(java.lang.String message)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### faultCode

    public int faultCode

Constructor Detail

### DBException

    public DBException()

### DBException

    public DBException(int faultCode)

### DBException

    public DBException(java.lang.String message)

### DBException

    public DBException(int faultCode,
                       java.lang.String message)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.